/* ftp.h
   File Tranfer Protocol support header file */

#ifndef FTP_H
#define FTP_H

/* Maximum number of chars for server response */
#define MAX_RESPLINE 1024

/* You can change this to something else, like "ftp", but I suggest
   "anonymous". */
#ifndef DEFAULT_FTP_ACCT
#  define DEFAULT_FTP_ACCT "anonymous"
#endif /* DEFAULT_FTP_ACCT */

/* Maximum number of assaults on "login incorrect", provided the
   standard ntry is infinity: */
#ifndef FTP_MAX_LINC
#  define FTP_MAX_LINC 50
#endif /* FTP_MAX_LINC */

/* File where the "ls -al" listing will be saved. */
#ifndef LIST_FILENAME
#  define LIST_FILENAME "lst"
#endif /* LIST_FILENAME */

char *ftp_getaddress(void);
char *ftp_request(char *, char *);
uerr_t ftp_login(int, char *, char *);
uerr_t ftp_port(int);
uerr_t ftp_type(int, int);
uerr_t ftp_cwd(int, char *);
uerr_t ftp_retr(int, char *);
uerr_t ftp_list(int, char *);
uerr_t getftp(char *, int, char *, char *, char *, char *, long *,
	      long, int *, int *, int *);
uerr_t ftp_parse_list(char *, char ***, char ***);
uerr_t ftp_index(char *, char **, char **, char *, char *, int);
uerr_t ftp_glob_loop(char *, int);

#endif /* FTP_H */
