/* geturl.h
   URL getter header file */

#ifndef GETURL_H
#define GETURL_H

/* Macro definitions */

/* Version string */
#ifndef VERSION_STRING
#  define VERSION_STRING "GetURL"
#endif

/* Document-type flags */
enum {
   TEXTHTML      = 0x0001,  /* Document is of type text/html */
   RETROKF       = 0x0002,  /* Retrieval was OK */
   LIST_ONLY     = 0x0004,  /* Document is only to be listed */
   LOGGED_IN     = 0x0008,  /* FTP already logged in */
   LEAVE_PENDING = 0x0010,  /* Leave pending FTP control connection */
   REMOTELOC     = 0x0020,  /* Make remote filename equal to local filename */
   NOTFTP2HTML   = 0x0040   /* Skip making an HTML index */
};

/* Universal error type -- used almost everywhere */
typedef enum {NOCONERROR, HOSTERR, CONTIMEDOUT, CONSOCKERR, CONERROR,
	      CONREFUSED, NEWLOCATION, NOTENOUGHMEM, CONPORTERR,
	      BINDERR, BINDOK, LISTENERR, ACCEPTERR, ACCEPTOK,
	      CONCLOSED, FTPOK, FTPLOGINC, FTPPORTERR, FTPNSFOD,
	      FTPRETROK, FTPUNKNOWNTYPE, FTPRERR, FTPREXC,
	      FTPBADFILE, FTPSRVERR, FTPRETRINT, FTPRESTFAIL,
	      URLOK, URLHTTP, URLFTP, URLUNKNOWN, URLBADPORT,
	      URLBADHOST, FOPENERR, FWRITEERR, HOK, HLEXC, HEOF,
	      HERR, RETROK, RECLEVELEXC, FTPACCDENIED,
	      RETRFINISHED, READERR, TRYLIMEXC, URLBADPATTERN,
	      ROBOTSOK, NOROBOTS, PROXERR } uerr_t;


#endif /* GETURL_H */
