/* host.h
   Header file for dealing with hosts */

#ifndef HOST_H
#define HOST_H

/* Host hash entry */
typedef struct {
   char *hostname;
   char *realname;
   int quality;
} hhost_t;

/* Function declarations */
struct hostent *ngethostbyname(char *);
int same_host(char *, char *);
hhost_t **create_hhash(void);
void add_hhash(hhost_t ***, char *, char *);
void free_hhash(hhost_t **);
char *realhost(char *);
int accept_domain(char *);
int sufmatch(char **, char *);
unsigned char *inet_address(void);

int gethostname();
int getdomainname();

#endif /* HOST_H */
