/* http.c
   HTTP support header file */

#ifndef HTTP_H
#define HTTP_H

/* Header HTTP definitions */
#define CONTLEN_H "Content-length: "
#define CONTTYPE_H "Content-type: "
#define LOCATION_H "Location: "
#define TEXTHTML_S "text/html"
#define HTTP200_H "HTTP/1.0 2"
/* Maximum header length */
#define MAXHLEN 200

/* Retrieval buffer size */
#ifndef BUFFER_SIZE
#  define BUFFER_SIZE 8192
#endif /* BUFFER_SIZE */

/* Separator for legible numbers */
#ifndef LEGIBLE_SEPARATOR
#  define LEGIBLE_SEPARATOR ','
#endif /* LEGIBLE_SEPARATOR */

/* Function declarations */
uerr_t fetch_next_header(int, char *, int);
uerr_t gethttp(char *, int, char *, FILE *, long *, long *, int *,
	       char **, int *, char *);
uerr_t proxy_retrieve(char *, char *, FILE *, long *, long *, int *,
		      char **, int *, char *);
long hgetlen(char *);
char *hgettype(char *);
char *hgetlocation(char *);
int get_contents(int, FILE *, long *, long);
char *legible(long);

#endif /* HTTP_H */
